let g:loaded_python_provider=1      " Disable python 2 interface
let g:python_host_skip_check=1      " Skip python 2 host check
if filereadable('bin/python3')
    let g:python3_host_prog = '/bin/python3'
endif
let g:node_host_prog = '~/.local/share/npm/bin/neovim-node-host'
let $GIT_EDITOR = 'nvr -cc split --remote-wait'
if executable("rg")
    set grepprg=rg\ --vimgrep
endif
set runtimepath+=/usr/share/vim/vimfiles/
let mapleader="\<SPACE>"
let maplocalleader=','

set termguicolors
aug colores
    au!
    au ColorScheme * call dead#colores#Barra()
    au ColorScheme * call dead#colores#Maquillaje()
    au ColorScheme * call dead#colores#MyHighlights()
aug END
let g:srcery_transparent_background = 1
let g:srcery_italic = 1
let g:srcery_underline = 1
let g:srcery_undercurl = 1
colorscheme srcery

packadd! pear-tree
packadd! loupe
packadd! vim-commentary
packadd! fzf.vim
packadd! fern.vim
packadd! gina.vim
