function! dead#colores#MyHighlights() abort
    highlight Trail ctermbg=red guibg=red
    call matchadd('Trail', '\s\+$', 100)
    highlight ColorColumn ctermbg=magenta
    call matchadd('ColorColumn', '\%81v', 100)
endfunction

function! dead#colores#Maquillaje() abort
    highlight! VertSplit            ctermbg=NONE ctermfg=0    cterm=NONE      guibg=NONE    guifg=#080808 gui=NONE
    highlight! TabLineFill          ctermbg=NONE ctermfg=NONE cterm=NONE      guibg=NONE    guifg=#ef2f27 gui=NONE
    highlight! TablineSel           ctermbg=NONE ctermfg=234                  guibg=NONE    guifg=#008bbd
    highlight! ALEWarningSignLineNr              ctermfg=4    cterm=undercurl               guifg=#c4ab39 gui=undercurl
    highlight! ALEErrorSignLineNr                ctermfg=red  cterm=undercurl               guifg=#c4384b gui=undercurl
    highlight! CocUnderline                                   cterm=undercurl                             gui=undercurl
    highlight! PmenuSel                                                       guibg=#111111 guifg=#6699cc
    highlight! RedrawDebugClear                                               guibg=#080808
    highlight! NvimInternalError                                                            guifg=#080808
    highlight! DiffAdded                                                                    guifg=#333333
    highlight! PmenuThumb                                                                   guifg=#333333

    highlight! link Folded Comment
    highlight! link NonText VertSplit

    if &diff
        highlight! link DiffText MatchParen
        highlight! DiffAdd     guibg=#0f111a guifg=#43a047
        highlight! DiffChange  guibg=#0f111a guifg=#fdd835
        highlight! DiffRemoved guibg=#0f111a guifg=#e53935
    endif
endfunction

function! dead#colores#Barra() abort
    highlight User1 ctermfg=251  ctermbg=NONE guibg=NONE guifg=#666666 cterm=none
    highlight User2 ctermfg=234  ctermbg=NONE guibg=NONE guifg=#f74782 cterm=none gui=bold
    highlight User3 ctermfg=234  ctermbg=4    guibg=NONE guifg=#008bb4 cterm=none gui=bold
    highlight User4 ctermfg=234  ctermbg=251  guibg=NONE guifg=#c6c6c6 cterm=none gui=bold
    highlight User5 ctermfg=234  ctermbg=4    guibg=NONE guifg=#e64eff cterm=none gui=bold
    highlight User6 ctermfg=234  ctermbg=9    guibg=NONE guifg=#fbad34 cterm=none gui=bold
    highlight User7 ctermfg=234  ctermbg=251  guibg=NONE guifg=#407e4a cterm=none gui=bold
    highlight User8 ctermfg=NONE ctermbg=NONE guibg=NONE guifg=NONE    cterm=NONE
endfunction
