function! dead#functions#PopOutOfInsertMode() abort
    if v:insertmode
        call feedkeys("\<C-\>\<C-n>")
    endif
endfunction

function! dead#functions#Relativize(v) abort
    if &number
        let &relativenumber = a:v
        let &cursorline = a:v
    endif
endfunction

function! dead#functions#JumpToNextHeading(direction, count)
    let col = col(".")
    silent execute a:direction == "up" ? '?^#' : '/^#'
    if a:count > 1
        silent execute "normal! " . repeat("n", a:direction == "up" && col != 1 ? a:count : a:count - 1)
    endif
    silent execute "normal! " . col . "|"
    unlet col
endfunction
