" Settings
scriptencoding utf-8

set inccommand=nosplit
set clipboard^=unnamedplus
set number
set noshowmode
set noshowcmd
set showtabline=2
set noswapfile
set hidden
set lazyredraw
set showmatch
set matchpairs+=<:>
set cpoptions-=m
set nojoinspaces
set updatetime=100
set synmaxcol=200
set splitbelow
set splitright
set notimeout
set ignorecase
set scrolloff=5
set sidescroll=5
set shortmess+=aoOWsc
set foldmethod=marker
set foldclose=all
set foldlevelstart=10
set selectmode=key
set keymodel=startsel
set signcolumn=yes:2
set tabstop=2
set shiftwidth=2
set softtabstop=2
set shiftround
set linebreak
set breakindent
set expandtab
set nosmarttab
set title
set redrawtime=500
set ttimeoutlen=10
set nowritebackup
set completeopt-=preview
set undofile
set undolevels=1000
set undoreload=10000
set listchars+=precedes:<,extends:>
set diffopt+=algorithm:histogram,indent-heuristic
set diffopt+=foldcolumn:0
set fillchars=eob:\ ,stlnc:\ ,stl:\ ,vert:\│
let formatlistpat='^\s*\(\d\+[\]:.)}\t ]\|[*-][\t ]\)\s*'
let g:netrw_dirhistmax=0
match ErrorMsg '^\(<\|=\|>\)\{7\}\([^=].\+\)\?$'
set formatoptions&
      \ formatoptions+=n
      \ formatoptions+=l
      \ formatoptions-=c
      \ formatoptions-=r
      \ formatoptions-=o
      \ formatoptions-=t
